Package ru.bitel.bgbilling.kernel.generator.common.bean

# Class BGGenerator

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.generator.common.bean.BGGenerator

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BGGenerator extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGGenerator()`
  `BGGenerator(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGGeneratorType`
  `getGeneratorType()`
  `String`
  `getPattern()`
  `int`
  `getSequenceId()`
  `BGGenerator`
  `setGeneratorType(BGGeneratorType generatorType)`
  `BGGenerator`
  `setPattern(String pattern)`
  `BGGenerator`
  `setSequenceId(int sequenceId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BGGenerator

    public BGGenerator()

  - ### BGGenerator

    public BGGenerator(int id, String title)

- ## Method Details

  - ### getSequenceId

    public int getSequenceId()

  - ### setSequenceId

    public BGGenerator setSequenceId(int sequenceId)

  - ### getPattern

    public String getPattern()

  - ### setPattern

    public BGGenerator setPattern(String pattern)

  - ### getGeneratorType

    public BGGeneratorType getGeneratorType()

  - ### setGeneratorType

    public BGGenerator setGeneratorType(BGGeneratorType generatorType)